<?php 
	add_action( 'init', 'custompost_magicpage' );
	function custompost_magicpage() {
		register_post_type( 'wpmagicpage',
			array(
				'labels' => array(
					'name' => __( 'WP Magic Page' ),
					'singular_name' => __( 'WP Magic Page' )
				),
			'public' => true,
			'has_archive' => true,
			'menu_icon' => 'http://cdn1.iconfinder.com/data/icons/nuvola2/16x16/actions/wizard.png',
			'rewrite' => true
			)
		);
		flush_rewrite_rules();
	}
	
	
	add_action('template_redirect', 'my_template', 5);
	function my_template() {
	
		$post_type = get_query_var('post_type');
		if ($post_type == 'wpmagicpage') {  
	
			if (file_exists(TEMPLATEPATH . '/single-' . $post_type . '.php')) return;
				load_template(WP_PLUGIN_DIR . '/wpmagicpage' . '/contentpage/wpmagicpage.php');
			exit;
			
		}
	}
	
	
	add_action( 'add_meta_boxes', 'wpmagicpage_metadata' );
	function wpmagicpage_metadata()
	{
		add_meta_box( 'wpmagicpage', 'Options:', 'wpmagicpage_content', 'wpmagicpage', 'normal', 'high' );
	}
	
	
	function wpmagicpage_content( $post )
	{
		$values = get_post_custom( $post->ID );
		$bgstyle = isset( $values['bgstyle'] ) ? esc_attr( $values['bgstyle'][0] ) : '';
		$footer = isset( $values['footer'] ) ? esc_attr( $values['footer'][0] ) : '';
		$typography = isset( $values['typography'] ) ? esc_attr( $values['typography'][0] ) : '';
		$width = isset( $values['width'] ) ? esc_attr( $values['width'][0] ) : '';
		$logourl = isset( $values['logourl'] ) ? esc_attr( $values['logourl'][0] ) : '';
		
		wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
		?>
			<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>			
			<script type="text/javascript">
					$(document).ready(function() {
					 	$('#create3column').click(function() {
					 	  if ($('#column1-text').val() == '') { var content1_text = ''; } else { var content1_text = '<p>'+$('#column1-text').val()+'</p>'; };
					 	  if ($('#column1-headline').val() == '') { var content1_headline = ''; } else { var content1_headline = '<h3>'+$('#column1-headline').val()+'</h3>'; };
					 	  if ($('#column1-photo').val() == '') { var content1_photo = ''; } else { var content1_photo = '<img src="'+$('#column1-photo').val()+'" />'; };
					 	  
					 	  if ($('#column2-text').val() == '') { var content2_text = ''; } else { var content2_text = '<p>'+$('#column2-text').val()+'</p>'; };
					 	  if ($('#column2-headline').val() == '') { var content2_headline = ''; } else { var content2_headline = '<h3>'+$('#column2-headline').val()+'</h3>'; };
					 	  if ($('#column2-photo').val() == '') { var content2_photo = ''; } else { var content2_photo = '<img src="'+$('#column2-photo').val()+'" />'; };
					 	  
					 	  if ($('#column3-text').val() == '') { var content3_text = ''; } else { var content3_text = '<p>'+$('#column3-text').val()+'</p>'; };
					 	  if ($('#column3-headline').val() == '') { var content3_headline = ''; } else { var content3_headline = '<h3>'+$('#column3-headline').val()+'</h3>'; };
					 	  if ($('#column3-photo').val() == '') { var content3_photo = ''; } else { var content3_photo = '<img src="'+$('#column3-photo').val()+'" />'; };
					 	  
					 	  $('#create3column-code').text('<div class="row"><div class="four columns">'+content1_headline+content1_photo+content1_text+'</div><div class="four columns">'+content2_headline+content2_photo+content2_text+'</div><div class="four columns">'+content3_headline+content3_photo+content3_text+'</div></div>');
					 	  
					 	  return false;
					 	});
					 	
					 	$('#create2columnR').click(function() {
					 	  if ($('#columnR1-text').val() == '') { var content1_text = ''; } else { var content1_text = '<p>'+$('#columnR1-text').val()+'</p>'; };
					 	  if ($('#columnR1-headline').val() == '') { var content1_headline = ''; } else { var content1_headline = '<h2>'+$('#columnR1-headline').val()+'</h2>'; };
					 	  
					 	  if ($('#columnR2-text').val() == '') { var content2_text = ''; } else { var content2_text = '<p>'+$('#columnR2-text').val()+'</p>'; };
					 	  if ($('#columnR2-headline').val() == '') { var content2_headline = ''; } else { var content2_headline = '<h4>'+$('#columnR2-headline').val()+'</h4>'; };
					 	  
					 	  $('#create2columnR-code').text('<div class="row"><div class="eight columns">'+content1_headline+content1_text+'</div><div class="four columns">'+content2_headline+content2_text+'</div></div>');
					 	  
					 	  return false;
					 	});
					 	
					 	$('#create2columnL').click(function() {
					 	  if ($('#columnL1-text').val() == '') { var content1_text = ''; } else { var content1_text = '<p>'+$('#columnL1-text').val()+'</p>'; };
					 	  if ($('#columnL1-headline').val() == '') { var content1_headline = ''; } else { var content1_headline = '<h4>'+$('#columnL1-headline').val()+'</h4>'; };
					 	  
					 	  if ($('#columnL2-text').val() == '') { var content2_text = ''; } else { var content2_text = '<p>'+$('#columnL2-text').val()+'</p>'; };
					 	  if ($('#columnL2-headline').val() == '') { var content2_headline = ''; } else { var content2_headline = '<h2>'+$('#columnL2-headline').val()+'</h2>'; };
					 	  
					 	  $('#create2columnL-code').text('<div class="row"><div class="four columns">'+content1_headline+content1_text+'</div><div class="eight columns">'+content2_headline+content2_text+'</div></div>');
					 	  
					 	  return false;
					 	});
					 	
					 	$('#createtabs').click(function() {
					 	  if ($('#tabbedblock1-text').val() == '') { var content1_text = ''; } else { var content1_text = '<p>'+$('#tabbedblock1-text').val()+'</p>'; };
					 	  if ($('#tabbedblock1-headline').val() == '') { var content1_headline = ''; } else { var content1_headline = $('#tabbedblock1-headline').val(); };
					 	  
					 	  if ($('#tabbedblock2-text').val() == '') { var content2_text = ''; } else { var content2_text = '<p>'+$('#tabbedblock2-text').val()+'</p>'; };
					 	  if ($('#tabbedblock2-headline').val() == '') { var content2_headline = ''; } else { var content2_headline = $('#tabbedblock2-headline').val(); };
					 	  
					 	  if ($('#tabbedblock3-text').val() == '') { var content3_text = ''; } else { var content3_text = '<p>'+$('#tabbedblock3-text').val()+'</p>'; };
					 	  if ($('#tabbedblock3-headline').val() == '') { var content3_headline = ''; } else { var content3_headline = $('#tabbedblock3-headline').val(); };
					 	  
					 	  $('#createtabs-code').text('<dl class="nice tabs contained"><dd><a href="#simpleContained1" class="active">'+content1_headline+'</a></dd><dd><a href="#simpleContained2">'+content2_headline+'</a></dd><dd><a href="#simpleContained3">'+content3_headline+'</a></dd></dl><ul class="tabs-content contained"><li class="active" id="simpleContained1Tab">'+content1_text+'</li><li id="simpleContained2Tab">'+content2_text+'</li><li id="simpleContained3Tab">'+content3_text+'</li></ul>');
					 	  
					 	  return false;
					 	});
					 	
					 	$('#createsliderimages').click(function() {
					 	  if ($('#sliderimage1').val() == '') { var sliderimage1 = ''; } else { var sliderimage1 = '<img src="'+$('#sliderimage1').val()+'" />'; };
					 	  if ($('#sliderimage2').val() == '') { var sliderimage2 = ''; } else { var sliderimage2 = '<img src="'+$('#sliderimage2').val()+'" />'; };
					 	  if ($('#sliderimage3').val() == '') { var sliderimage3 = ''; } else { var sliderimage3 = '<img src="'+$('#sliderimage3').val()+'" />'; };
					 	  if ($('#sliderimage4').val() == '') { var sliderimage4 = ''; } else { var sliderimage4 = '<img src="'+$('#sliderimage4').val()+'" />'; };
					 	  if ($('#sliderimage5').val() == '') { var sliderimage5 = ''; } else { var sliderimage5 = '<img src="'+$('#sliderimage5').val()+'" />'; };
					 	  if ($('#sliderimage6').val() == '') { var sliderimage6 = ''; } else { var sliderimage6 = '<img src="'+$('#sliderimage6').val()+'" />'; };
					 	  
					 	  $('#createsliderimages-code').text('<div id="imageslider">'+sliderimage1+sliderimage2+sliderimage3+sliderimage4+sliderimage5+sliderimage6+'</div>');
					 	  
					 	  return false;
					 	});
						
					});
			</script>

			
			<style type="text/css">
				#options {
					width: 98%;
					padding-bottom: 10px;
				}
				#options textarea {
					width: 98%;
					height: 150px;
					margin: 3px 0;
					padding-right: 35px;
				}
				#options input[type=text] {
					width: 98%;
					font-size: 14px;
					padding: 5px;
					margin: 3px 0;
					padding-right: 35px;
					display: block;
				}
				#options select {
					width: 98%;
					font-size: 14px;
					padding: 5px;
					margin: 3px 0;
					padding-right: 35px;
				}
				.createcode {
					clear: both;
					display: block;
				}
				.buttonSubmit {
					-moz-border-radius: 5px;
					-webkit-border-radius: 5px;
					border-radius: 5px;
					-moz-box-shadow: 0 1px 0 rgba(0, 0, 0, 0.6);
					-webkit-box-shadow: 0 1px 0 rgba(0, 0, 0, 0.6);
					box-shadow: 0 1px 0 rgba(0, 0, 0, 0.6);
					background: #FF4D01;
					background:  -moz-linear-gradient(19% 75% 90deg, #FF4D01,
					#FF8924);
					background:  -webkit-gradient(linear, 0% 0%, 0% 100%,
					from(#FF8924), to(#FF4D01));
					color: #fff;
					float: left;
					font-family:  arial,helvetica,sans-serif;
					font-size: 15px;
					font-weight: bold;
					padding: 8px 20px;
					text-decoration: none;
					text-shadow: 0 1px 0 #333;
				}
				.buttonSubmit:hover, .buttonSubmit:active {
					color: #fff;
					background: -moz-linear-gradient(19% 75% 90deg, #EB4701,
					#F58423);
					background: -webkit-gradient(linear, 0% 0%, 0% 100%,
					from(#F58423), to(#EB4701));
					text-shadow: 0 1px 0 #333;
					}
				.headline {
					background: url(http://cdn2.iconfinder.com/data/icons/ledicons/text_heading_1.png) no-repeat right  #fff;
					background-position: 98% 5px;
				}
				.photo {
					background: url(http://cdn2.iconfinder.com/data/icons/oxygen/16x16/mimetypes/image-x-photo-cd.png) no-repeat right #fff;
					background-position: 98% 5px;
				}
				.info {
					background: url(http://cdn2.iconfinder.com/data/icons/ledicons/layout_select_content.png) no-repeat right  #fff;
					background-position: 98% 5px;
				}
				.link {
					background: url(http://cdn2.iconfinder.com/data/icons/ledicons/application_link.png) no-repeat right  #fff;
					background-position: 98% 5px;
				}
				#options h2 {
					font-weight: bold;
					border-top: 1px dashed #ccc;
					padding: 10px 0;
					border-bottom: 1px dashed #ccc;
				}
			</style>
			
			<div id="options">
				<small>Background Style: (graphical background style)</small>
				<select name="bgstyle">
					<option <?php if($bgstyle == 'black') { ?>selected<?php } ?> value="black">Black</option>
					<option <?php if($bgstyle == 'red') { ?>selected<?php } ?> value="red">Red</option>
					<option <?php if($bgstyle == 'dark_red') { ?>selected<?php } ?> value="dark_red">Dark Red</option>
					<option <?php if($bgstyle == 'blue') { ?>selected<?php } ?> value="blue">Blue</option>
					<option <?php if($bgstyle == 'dark_blue') { ?>selected<?php } ?> value="dark_blue">Dark Blue</option>
					<option <?php if($bgstyle == 'green') { ?>selected<?php } ?> value="green">Green</option>
					<option <?php if($bgstyle == 'dark_green') { ?>selected<?php } ?> value="dark_green">Dark Green</option>
					<option <?php if($bgstyle == 'pink') { ?>selected<?php } ?> value="pink">Pink</option>
					<option <?php if($bgstyle == 'purple') { ?>selected<?php } ?> value="purple">Purple</option>
					<option <?php if($bgstyle == 'orange') { ?>selected<?php } ?> value="orange">Orange</option>
					<option <?php if($bgstyle == 'dark_orange') { ?>selected<?php } ?> value="dark_orange">Dark Orange</option>
				</select>
				<small>Footer Content: (HTML allowed)</small>
				<input type="text" name="footer" value="<?php echo $footer; ?>" />
				<small>Logo Image URL: (shown above the container)</small>
				<input type="text" name="logourl" value="<?php echo $logourl; ?>" />
				<small>Container Width: (Width of the website)</small>
				<select name="width">
					<option <?php if($width == '750') { ?>selected<?php } ?> value="750">750px</option>
					<option <?php if($width == '800') { ?>selected<?php } ?> value="800">800px</option>
					<option <?php if($width == '850') { ?>selected<?php } ?> value="850">850px</option>
					<option <?php if($width == '900') { ?>selected<?php } ?> value="900">900px</option>
					<option <?php if($width == '980') { ?>selected<?php } ?> value="980">980px</option>
				</select>
				<h2>Add 3 Column Block</h2>
				<div id="3columnblock">
					<div style="width: 32%; float: left; margin-right: 10px;">
						<h4>Column 1 Content:</h4>
						<input type="text" id="column1-headline" class="headline" placeholder="Add custom headline here..." />
						<input type="text" id="column1-photo" class="photo" placeholder="Add custom photo here..." />
						<textarea id="column1-text" class="info"  placeholder="Add custom content here..."></textarea>
					</div>
					<div style="width: 32%; float: left; margin-right: 10px;">
						<h4>Column 2 Content:</h4>
						<input type="text" id="column2-headline" class="headline" placeholder="Add custom headline here..." />
						<input type="text" id="column2-photo" class="photo" placeholder="Add custom photo here..." />
						<textarea id="column2-text" class="info"  placeholder="Add custom content here..."></textarea>
					</div>
					<div style="width: 32%; float: left; margin-right: 10px;">
						<h4>Column 3 Content:</h4>
						<input type="text" id="column3-headline" class="headline" placeholder="Add custom headline here..." />
						<input type="text" id="column3-photo" class="photo" placeholder="Add custom photo here..." />
						<textarea id="column3-text" class="info"  placeholder="Add custom content here..."></textarea>
					</div>
					<br clear="both" />	<br>
					<small>Copy and paste below code to WP editor box inside the "HTML" tab.</small>
					<textarea id="create3column-code" style="width: 97.5%"></textarea><br><br>
					<a href="#" id="create3column" class="createcode buttonSubmit">Click Here to Generator Code</a> 
					<br clear="both" />	
			</div>
			
			<h2>Add 2 Column Block (Right)</h2>
			<div id="2columbblockright">
				<div style="width: 65%; float: left; margin-right: 10px;">
						<h4>Column 1 Content:</h4>
						<input type="text" id="columnR1-headline" class="headline" placeholder="Add custom headline here..." />
						<textarea id="columnR1-text" class="info"  placeholder="Add custom content here..."></textarea>
				</div>
				<div style="width: 32%; float: left; margin-right: 10px;">
						<h4>Column 2 Content:</h4>
						<input type="text" id="columnR2-headline" class="headline" placeholder="Add custom headline here..." />
						<textarea id="columnR2-text" class="info"  placeholder="Add custom content here..."></textarea>
				</div>
				<br clear="both" />	<br>
					<small>Copy and paste below code to WP editor box inside the "HTML" tab.</small>
					<textarea id="create2columnR-code" style="width: 97.5%"></textarea><br><br>
					<a href="#" id="create2columnR" class="createcode buttonSubmit">Click Here to Generator Code</a> 
					<br clear="both" />	
			</div>
			
			<h2>Add 2 Column Block (Left)</h2>
			<div id="2columbblockleft">
				<div style="width: 32%; float: left; margin-right: 10px;">
						<h4>Column 1 Content:</h4>
						<input type="text" id="columnL1-headline" class="headline" placeholder="Add custom headline here..." />
						<textarea id="columnL1-text" class="info"  placeholder="Add custom content here..."></textarea>
				</div>
				<div style="width: 65%; float: left; margin-right: 10px;">
						<h4>Column 2 Content:</h4>
						<input type="text" id="columnL2-headline" class="headline" placeholder="Add custom headline here..." />
						<textarea id="columnL2-text" class="info"  placeholder="Add custom content here..."></textarea>
				</div>
				<br clear="both" />	<br>
					<small>Copy and paste below code to WP editor box inside the "HTML" tab.</small>
					<textarea id="create2columnL-code" style="width: 97.5%"></textarea><br><br>
					<a href="#" id="create2columnL" class="createcode buttonSubmit">Click Here to Generator Code</a> 
					<br clear="both" />	
			</div>
			
			<h2>Add 3 Tabbed Content Block - <small style="font-size: 14px">Can only be used ONCE on the page!</small></h2>
			<div id="3tabbedblock">
					
					<div style="width: 32%; float: left; margin-right: 10px;">
						<h4>Tab 1 Content:</h4>
						<input type="text" id="tabbedblock1-headline" class="link" placeholder="Add tab link name here..." />
						<textarea id="tabbedblock1-text" class="info"  placeholder="Add custom content here..."></textarea>
					</div>
					<div style="width: 32%; float: left; margin-right: 10px;">
						<h4>Tab 2 Content:</h4>
						<input type="text" id="tabbedblock2-headline" class="link" placeholder="Add tab link name here..." />
						<textarea id="tabbedblock2-text" class="info"  placeholder="Add custom content here..."></textarea>
					</div>
					<div style="width: 32%; float: left; margin-right: 10px;">
						<h4>Tab 3 Content:</h4>
						<input type="text" id="tabbedblock3-headline" class="link" placeholder="Add tab link name here..." />
						<textarea id="tabbedblock3-text" class="info"  placeholder="Add custom content here..."></textarea>
					</div>
					<br clear="both" />	<br>
					<small>Copy and paste below code to WP editor box inside the "HTML" tab.</small>
					<textarea id="createtabs-code" style="width: 97.5%"></textarea><br><br>
					<a href="#" id="createtabs" class="createcode buttonSubmit">Click Here to Generator Code</a> 
					<br clear="both" />	
			</div>
			
			<h2>Add 6 Image Slider - <small style="font-size: 14px">Can only be used ONCE on the page!</small></h2>
			<div id="sliderimages6">
					
					<div style="width: 32%; float: left; margin-right: 10px;">
						<h4>Image 1 + 2:</h4>
						<input type="text" id="sliderimage1" class="photo" placeholder="Add URL to image here..." />
						<input type="text" id="sliderimage2" class="photo" placeholder="Add URL to image here..." />
					</div>
					<div style="width: 32%; float: left; margin-right: 10px;">
						<h4>Image 3 + 4:</h4>
						<input type="text" id="sliderimage3" class="photo" placeholder="Add URL to image here..." />
						<input type="text" id="sliderimage4" class="photo" placeholder="Add URL to image here..." />
					</div>
					<div style="width: 32%; float: left; margin-right: 10px;">
						<h4>Image 5 + 6:</h4>
						<input type="text" id="sliderimage5" class="photo" placeholder="Add URL to image here..." />
						<input type="text" id="sliderimage6" class="photo" placeholder="Add URL to image here..." />
					</div>
					<br clear="both" />	<br>
					<small>Copy and paste below code to WP editor box inside the "HTML" tab.</small>
					<textarea id="createsliderimages-code" style="width: 97.5%"></textarea><br><br>
					<a href="#" id="createsliderimages" class="createcode buttonSubmit">Click Here to Generator Code</a> 
					<br clear="both" />	
			</div>
		<?php
	}
	
	
	add_action( 'save_post', 'wpmagicpage_save' );
	function wpmagicpage_save( $post_id )
	{
		if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
		if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
		if( !current_user_can( 'edit_post' ) ) return;
		$allowed = array( 
			'a' => array( 
				'href' => array()
			)
		);
		
		if( isset( $_POST['logourl'] ) )
			update_post_meta( $post_id, 'logourl', wp_kses( $_POST['logourl'], $allowed ) );
			
		if( isset( $_POST['bgstyle'] ) )
			update_post_meta( $post_id, 'bgstyle', wp_kses( $_POST['bgstyle'], $allowed ) );
			
		if( isset( $_POST['width'] ) )
			update_post_meta( $post_id, 'width', wp_kses( $_POST['width'], $allowed ) );
			
		if( isset( $_POST['footer'] ) )
			update_post_meta( $post_id, 'footer', wp_kses( $_POST['footer'], $allowed ) );
		
	}
?>