<!DOCTYPE html>
<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ -->
<!--[if lt IE 7]> <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang="en"> <![endif]-->
<!--[if IE 7]>    <html class="no-js lt-ie9 lt-ie8" lang="en"> <![endif]-->
<!--[if IE 8]>    <html class="no-js lt-ie9" lang="en"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en"> <!--<![endif]-->
<head>
	<meta charset="utf-8" />

	<!-- Set the viewport width to device width for mobile -->
	<meta name="viewport" content="width=device-width" />
	<title><?php wp_title(''); ?></title>
	<!-- Included CSS Files -->
	<link rel="stylesheet" href="<?php bloginfo('wpurl'); ?>/wp-content/plugins/wpmagicpage/stylesheets/foundation.css">
	<link rel="stylesheet" href="<?php bloginfo('wpurl'); ?>/wp-content/plugins/wpmagicpage/stylesheets/app.css">

	<!--[if lt IE 9]>
		<link rel="stylesheet" href="stylesheets/ie.css">
	<![endif]-->
	
	<script src="<?php bloginfo('wpurl'); ?>/wp-content/plugins/wpmagicpage/javascripts/modernizr.foundation.js"></script>

	<!-- IE Fix for HTML5 Tags -->
	<!--[if lt IE 9]>
		<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>	
	<script type="text/javascript">
			$(document).ready(function() {
			 	 $('#imageslider').orbit();
			});
	</script>
	<style type="text/css">
		.container {
			max-width: <?php echo get_post_meta( $post->ID, 'width', true ); ?>px;
		}
		.row {
			padding-top: 10px;
			padding-bottom: 20px;
		}
		#imageslider {
			padding-bottom: 10px;
		}
		#imageslider img {
			width: 100%;
		}
		p {
			font-size: 12px;
			line-height: 18px;
			padding: 5px 0;
			margin: 0;
		}
		h1 {
			font-size: 32px;
			line-height: 38px;
			padding: 5px 0;
			margin: 0;
			letter-spacing: -1px;
		}
		h2 {
			font-size: 24px;
			line-height: 32px;
			padding: 5px 0;
			margin: 0;
		}
		h3 {
			font-size: 21px;
			line-height: 24px;
			padding: 5px 0;
			margin: 0;
			font-weight: normal;
		}
		h4 {
			font-size: 18px;
			line-height: 24px;
			padding: 5px 0;
			margin: 0;
			font-weight: normal;
		}
	</style>
</head>
<body class="<?php echo html_entity_decode(get_post_meta( $post->ID, 'bgstyle', true )); ?>">
	<?php  if (get_post_meta( $post->ID, 'logourl', true )) { ?>
	<div class="container" style="padding: 0;margin-bottom: -25px;">
		<img src="<?php echo get_post_meta( $post->ID, 'logourl', true ); ?>" >
	</div>
	<?php } ?>
	<!-- container -->
	<div class="container wrapper">

		<div class="row">
			<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
				<?php the_content(); ?>
			<?php endwhile; ?>
		</div>

	</div>
	
	<div class="container">
		<div class="row" style="text-align: center">
			<p><?php echo get_post_meta( $post->ID, 'footer', true ); ?></p>
		</div>
	</div>

	<!-- Included JS Files -->
	<script src="<?php bloginfo('wpurl'); ?>/wp-content/plugins/wpmagicpage/javascripts/jquery.min.js"></script>
	<script src="<?php bloginfo('wpurl'); ?>/wp-content/plugins/wpmagicpage/javascripts/foundation.js"></script>
	<script src="<?php bloginfo('wpurl'); ?>/wp-content/plugins/wpmagicpage/javascripts/app.js"></script>

</body>
</html>