<?php 
	add_action( 'init', 'custompost_timedvideo1' );
	function custompost_timedvideo1() {
		register_post_type( 'timedvideo1',
			array(
				'labels' => array(
					'name' => __( 'Timed Video 1' ),
					'singular_name' => __( 'Timed Video 1' )
				),
			'public' => true,
			'has_archive' => true,
			'menu_icon' => 'http://cdn2.iconfinder.com/data/icons/oxygen/16x16/actions/chronometer.png',
			'rewrite' => true
			)
		);
		flush_rewrite_rules();
	}
	
	
	add_action('template_redirect', 'checktimedvideo1', 5);
	function checktimedvideo1() {
	
		$post_type = get_query_var('post_type');
		if ($post_type == 'timedvideo1') {  
	
			if (file_exists(TEMPLATEPATH . '/single-' . $post_type . '.php')) return;
				load_template(WP_PLUGIN_DIR . '/wpmagicpage' . '/timedvideo1/timedvideo1.php');
			exit;
			
		}
	}
	
	
	add_action( 'add_meta_boxes', 'timedvideo1_metadata' );
	function timedvideo1_metadata()
	{
		add_meta_box( 'timedvideo1', 'Options:', 'timedvideo1_content', 'timedvideo1', 'normal', 'high' );
	}
	
	
	function timedvideo1_content( $post )
	{
		$values = get_post_custom( $post->ID );
		$bgstyle = isset( $values['bgstyle'] ) ? esc_attr( $values['bgstyle'][0] ) : '';
		$footer = isset( $values['footer'] ) ? esc_attr( $values['footer'][0] ) : '';
		$headline = isset( $values['headline'] ) ? esc_attr( $values['headline'][0] ) : '';
		$time = isset( $values['time'] ) ? esc_attr( $values['time'][0] ) : '';
		$logourl = isset( $values['logourl'] ) ? esc_attr( $values['logourl'][0] ) : '';
		$subheadline = isset( $values['subheadline'] ) ? esc_attr( $values['subheadline'][0] ) : '';
		$buttonurl = isset( $values['buttonurl'] ) ? esc_attr( $values['buttonurl'][0] ) : '';
		$buttontext = isset( $values['buttontext'] ) ? esc_attr( $values['buttontext'][0] ) : '';
		$extracontent = isset( $values['extracontent'] ) ? esc_attr( $values['extracontent'][0] ) : '';
		$video = isset( $values['video'] ) ? esc_attr( $values['video'][0] ) : '';
		
		wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
		?>
			<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>			
			<script type="text/javascript">
					$(document).ready(function() {
					 
					});
			</script>

			
			<style type="text/css">
				#options {
					width: 100%;
					padding-bottom: 10px;
				}
				#options textarea {
					width: 100%;
					height: 150px;
					margin: 3px 0;
					padding-right: 35px;
				}
				#options input[type=text] {
					width: 100%;
					font-size: 14px;
					padding: 5px;
					margin: 3px 0;
					padding-right: 35px;
				}
				#options select {
					width: 100%;
					font-size: 14px;
					padding: 5px;
					margin: 3px 0;
					padding-right: 35px;
				}
				.headline {
					background: url(http://cdn2.iconfinder.com/data/icons/ledicons/text_heading_1.png) no-repeat right  #fff;
					background-position: 100% 5px;
				}
				.photo {
					background: url(http://cdn2.iconfinder.com/data/icons/oxygen/16x16/mimetypes/image-x-photo-cd.png) no-repeat right #fff;
					background-position: 100% 5px;
				}
				.info {
					background: url(http://cdn2.iconfinder.com/data/icons/ledicons/layout_select_content.png) no-repeat right  #fff;
					background-position: 100% 5px;
				}
				.link {
					background: url(http://cdn2.iconfinder.com/data/icons/ledicons/application_link.png) no-repeat right  #fff;
					background-position: 100% 5px;
				}
			</style>
			
			<div id="options">
				
				<small>Background Style: (graphical background style)</small>
				<select name="bgstyle">
					<option <?php if($bgstyle == 'black') { ?>selected<?php } ?> value="black">Black</option>
					<option <?php if($bgstyle == 'red') { ?>selected<?php } ?> value="red">Red</option>
					<option <?php if($bgstyle == 'dark_red') { ?>selected<?php } ?> value="dark_red">Dark Red</option>
					<option <?php if($bgstyle == 'blue') { ?>selected<?php } ?> value="blue">Blue</option>
					<option <?php if($bgstyle == 'dark_blue') { ?>selected<?php } ?> value="dark_blue">Dark Blue</option>
					<option <?php if($bgstyle == 'green') { ?>selected<?php } ?> value="green">Green</option>
					<option <?php if($bgstyle == 'dark_green') { ?>selected<?php } ?> value="dark_green">Dark Green</option>
					<option <?php if($bgstyle == 'pink') { ?>selected<?php } ?> value="pink">Pink</option>
					<option <?php if($bgstyle == 'purple') { ?>selected<?php } ?> value="purple">Purple</option>
					<option <?php if($bgstyle == 'orange') { ?>selected<?php } ?> value="orange">Orange</option>
					<option <?php if($bgstyle == 'dark_orange') { ?>selected<?php } ?> value="dark_orange">Dark Orange</option>
				</select>
				<small>Footer Content: (HTML allowed)</small>
				<input type="text" name="footer" value="<?php echo $footer; ?>" />
				<br>
				<small>Logo Image URL: (shown above the container)</small>
				<input type="text" name="logourl" value="<?php echo $logourl; ?>" />
				
				<small>Headline Text:</small>
				<input type="text" name="headline" value="<?php echo $headline; ?>" />
				<small>Video Embed Code:</small>
				<input type="text" name="video" value="<?php echo $video; ?>" />
				
				<small>Time to Display Button: (miliseconds ex. 1 second is 1000)</small>
				<input type="text" name="time" value="<?php echo $time; ?>" />
				<br>
				<small>Sub Headline Text:</small>
				<input type="text" name="subheadline" value="<?php echo $subheadline; ?>" />
				<small>Button URL:</small>
				<input type="text" name="buttonurl" value="<?php echo $buttonurl; ?>" />
				<small>Button Text:</small>
				<input type="text" name="buttontext" value="<?php echo $buttontext; ?>" />
				<br>
				<small>Extra Content</small>
				<input type="text" name="extracontent" value="<?php echo $extracontent; ?>" />
				
		<?php
	}
	
	
	add_action( 'save_post', 'wptimedvideobox1_save' );
	function wptimedvideobox1_save( $post_id )
	{
		if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
		if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
		if( !current_user_can( 'edit_post' ) ) return;
		$allowed = array( 
			'a' => array( 
				'href' => array()
			)
		);
		
		if( isset( $_POST['logourl'] ) )
			update_post_meta( $post_id, 'logourl', wp_kses( $_POST['logourl'], $allowed ) );
			
		if( isset( $_POST['bgstyle'] ) )
			update_post_meta( $post_id, 'bgstyle', wp_kses( $_POST['bgstyle'], $allowed ) );
			
		if( isset( $_POST['video'] ) )
			update_post_meta( $post_id, 'video', esc_attr( $_POST['video'] ) );
			
		if( isset( $_POST['footer'] ) )
			update_post_meta( $post_id, 'footer', wp_kses( $_POST['footer'], $allowed ) );
			
		if( isset( $_POST['buttonurl'] ) )
			update_post_meta( $post_id, 'buttonurl', wp_kses( $_POST['buttonurl'], $allowed ) );
			
		if( isset( $_POST['buttontext'] ) )
			update_post_meta( $post_id, 'buttontext', wp_kses( $_POST['buttontext'], $allowed ) );
			
		if( isset( $_POST['headline'] ) )
			update_post_meta( $post_id, 'headline', wp_kses( $_POST['headline'], $allowed ) );
			
		if( isset( $_POST['subheadline'] ) )
			update_post_meta( $post_id, 'subheadline', wp_kses( $_POST['subheadline'], $allowed ) );
			
		if( isset( $_POST['extracontent'] ) )
			update_post_meta( $post_id, 'extracontent', wp_kses( $_POST['extracontent'], $allowed ) );
			
		if( isset( $_POST['time'] ) )
			update_post_meta( $post_id, 'time', wp_kses( $_POST['time'], $allowed ) );
		
	}
?>